Summary:	A utility which aims to decrease X session startup time
Name:		xtoolwait
Version:	1.3
Release:	5mdk
License:	GPL
Group:		System/Configuration/Other
BuildRequires:	XFree86-devel
Source:		ftp://ftp.x.org/contrib/utilities/xtoolwait-1.3.tar.bz2
Patch0:		xtoolwait-imake.patch.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Xtoolwait is a utility which starts an X client in the background, waits
for a window to be mapped on the root window, and then exits.  Xtoolwait
can improve performance for users who start a bunch of X clients
automatically (for example, xterm, xlock, xconsole, whatever) when the
X session starts.

Install xtoolwait if you'd like to try to speed up the startup time for
X sessions.

%prep

%setup -q
%patch0 -p1

%build
xmkmf
%make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
make DESTDIR=$RPM_BUILD_ROOT install install.man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/xtoolwait
/usr/X11R6/man/man1/xtoolwait.1x*

%changelog
* Mon May 06 2002 Aurelien Lemaire <alemaire@mandrakesoft.com> 1.3-5mdk
- Rebuild

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3-4mdk
- Use %%_tmppath for BuildRoot

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3-3mdk
- automatically added BuildRequires

* Tue Mar 28 2000 dam's <damien@mandrakesoft.com> 1.3-2mdk
- Release.

* Fri Nov 5 1999 dam's <damien@mandrakesoft.com>
- Version 1.3

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build new version for 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
